#include<bits/stdc++.h>

using namespace std;

int cal(int k)
{ int p=1;
      while(k){
        p=p*10;
        k--;
      }
return p;
}


int stepen(int a){

            int k=0;
            while(a)
         {    k++;
               a=a/10;
                            }

               return k-1;
                                }

int find(int a,int s){

            if(a-s*5>=0) return 5;
            if(a-s*2>=0) return 2;
            else return 1;

                                    }

int main(){

int V,k,br=0;
int d,s;

cin>>V;

k=stepen(V);         //izracunava stepen broja 10

while(V)
{
    s=cal(k);       //racuna 10 na k
    d=find(V,s);    // odredjuje da li je d 1 2 ili 5
    V=V-d*s;        // novo V
    br++;
    k=stepen(V);    // odredjuje stepen broja 10 novog v


}
cout<<br;

return 0;









}